Index: code/trunk/contrib/orxonox.desktop
===================================================================
--- code/trunk/contrib/orxonox.desktop	(revision 8225)
+++ code/trunk/contrib/orxonox.desktop	(revision 8229)
@@ -3,5 +3,5 @@
 Comment=A spacecraft shooter
 Exec=orxonox
-Icon=/usr/share/pixmaps/orxonox.svg
+Icon=/usr/share/pixmaps/orxonox.png
 Type=Application
 Categories=Game;ActionGame;
Index: code/trunk/contrib/orxonox.manpage.xml
===================================================================
--- code/trunk/contrib/orxonox.manpage.xml	(revision 8225)
+++ code/trunk/contrib/orxonox.manpage.xml	(revision 8229)
@@ -142,4 +142,8 @@
       </arg>
     </cmdsynopsis>
+    <cmdsynopsis>
+      <command>&dhpackage;</command>
+      <arg choice="plain"><option>--masterserver</option></arg>
+    </cmdsynopsis>
   </refsynopsisdiv>
   <refsect1 id="description">
@@ -202,4 +206,10 @@
       </varlistentry>
       <varlistentry>
+        <term><option>--masterserver</option></term>
+        <listitem>
+          <para>Start in master server mode.</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry>
         <term><option>--noIOConsole</option></term>
         <listitem>
Index: code/trunk/contrib/orxonox.svg
===================================================================
--- code/trunk/contrib/orxonox.svg	(revision 8225)
+++ 	(revision )
@@ -1,25 +1,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   version="1.0"
-   width="512"
-   height="512"
-   id="svg2470">
-  <defs
-     id="defs2473" />
-  <g
-     transform="matrix(1.1599689,0,0,1.1599689,-61.312471,31.367136)"
-     id="g2926">
-    <path
-       d="m 273.28125,-3.125 c -0.33753,0 -0.65944,0.08735 -0.90625,0.25 -5.92032,7.076685 -7.84063,17.421024 -12.65625,24.90625 C 253.18934,15.254565 248.02475,7.185974 241.375,0.625 236.24444,0.487636 237.24295,7.769684 236,11.09375 c -1.40718,5.637813 -1.54432,13.090512 -3.71875,17.75 -8.1499,-4.590776 -14.00418,-13.119802 -22.65625,-16.65625 -5.54138,0.49717 -2.26469,8.117402 -2.75,11.625 0.41171,5.885154 1.1234,11.752708 1.21875,17.65625 -9.50055,-2.306123 -17.81793,-8.969835 -27.4375,-10.65625 -3.0683,3.596395 1.24993,8.896672 1.6875,13.09375 1.55845,5.265262 3.58081,10.764988 4.53125,15.90625 -9.11905,0.01479 -18.15995,-4.436704 -27.25,-3.34375 -4.30764,3.112184 1.42027,8.14505 2.78125,11.34375 2.73464,4.97687 6.87252,10.35987 8.40625,15.25 -8.53732,2.40472 -17.83424,0.0399 -26.3125,2.34375 -4.10152,3.72395 2.46967,8.12489 4.59375,10.8125 3.93039,4.27106 9.2141,8.7766 12,13.28125 -8.53218,3.6784 -18.53609,4.45017 -26.5625,9.0625 -2.42321,4.35828 4.70455,6.09961 7.25,8.125 4.54859,1.64473 9.10784,6.62509 14.09375,5.46875 8.13723,-6.11487 16.83861,-12.32293 23.15625,-20.34375 1.00807,-4.69869 -5.24641,-7.46118 -7.3125,-11.0625 -3.66639,-2.9888 -3.46849,-4.56704 1.46875,-4.03125 5.78421,-1.06632 12.57867,0.2104 17.71875,-2.75 0.55821,-5.59782 -4.82637,-10.12365 -7.03125,-15 -1.60907,-2.75911 -5.59927,-7.49445 0.3125,-5.4375 6.54924,0.33788 13.62847,4.26334 20,2 -0.0463,-7.6094 -4.34262,-15.3235 -5.46875,-22.21875 7.15363,1.852187 13.62354,7.6005 21.125,7.46875 3.74883,-2.879531 0.94331,-8.917904 1.25,-12.9375 0.22935,-2.626039 -1.92354,-9.40513 0.0312,-9.5625 6.2856,3.664902 11.23114,10.11029 18.03125,12.5625 4.58537,-1.52821 3.05426,-8.404676 4.5625,-12.125 1.14998,-2.101484 0.31871,-10.345824 2.78125,-9 4.92337,4.70408 8.30534,11.451021 14.3125,14.96875 5.20466,-2.13308 5.66461,-9.220405 8.375,-13.53125 1.15641,-1.528772 2.49879,-8.326772 3.96875,-4.125 3.5119,6.843474 5.79708,14.413287 11.1875,20.15625 4.86052,-6.260249 9.20592,-13.13261 14.59375,-18.84375 2.0846,7.256092 1.73134,15.440104 4.84375,22.28125 3.71306,1.852801 6.89994,-3.785302 10.09375,-5.21875 2.85776,-1.935856 6.57948,-5.653071 9.25,-6.3125 0.74248,7.049444 -1.49508,14.673134 0.96875,21.4375 4.97094,1.63046 9.95865,-3.049665 14.59375,-4.375 2.06444,-0.257305 8.81732,-5.477872 6.875,-0.84375 -1.129,6.58358 -6.01032,13.0311 -4.71875,19.78125 3.10906,3.48067 8.59157,-0.39671 12.53125,-0.1875 3.13681,0.19129 13.05964,-4.50259 9.09375,0.875 -2.92401,5.77285 -7.54509,10.95675 -8.9375,17.34375 2.62412,3.90386 8.77423,1.98887 12.84375,3.21875 2.23111,1.00437 10.53001,-0.7558 8.9375,1.71875 -3.12096,4.0206 -7.83072,7.17714 -9.875,12.0625 5.9344,7.73633 14.64175,13.5482 22,19.90625 2.7109,2.82784 6.84075,3.85912 10,1.1875 5.20461,-3.25861 11.59896,-5.90672 15.125,-11.0625 -0.50167,-4.58807 -7.50322,-3.80105 -10.78125,-5.71875 -4.91178,-1.7421 -12.28829,-2.78454 -15.75,-5.46875 5.3611,-7.20545 13.81313,-12.44008 18.03125,-20.5 -0.0544,-5.63131 -8.06821,-3.59256 -11.5625,-4.0625 -5.50764,-0.26559 -11.93251,-0.17594 -16.78125,-1.53125 3.98173,-8.18256 9.92897,-15.7419 13.75,-24.15625 -1.22332,-5.067064 -8.08293,-1.666959 -11.4375,-1.625 -5.93821,0.79112 -12.659,3.0636 -18.1875,3 1.87474,-9.859316 7.27683,-19.139097 7.90625,-29.21875 -8.3624,0.490945 -15.58786,6.120862 -23.40625,8.71875 -3.19942,1.72205 -6.8437,3.13256 -5.21875,-2.0625 0.29875,-8.263748 1.84585,-16.689658 0.84375,-24.90625 -3.47068,-3.010059 -7.04365,3.652336 -10.3125,4.8125 -4.88832,3.447496 -10.07698,8.395552 -15.09375,10.6875 -2.99429,-8.524686 -2.5226,-18.377103 -6.65625,-26.375 -4.54699,-2.424893 -6.8748,5.195985 -9.78125,7.375 -3.45573,4.331751 -6.79478,8.854684 -10.5625,12.8125 -5.09233,-7.827683 -7.28948,-17.778902 -13.34375,-24.8125 -0.24681,-0.162653 -0.59997,-0.25 -0.9375,-0.25 z m -0.625,96.09375 c -83.26931,0 -150.84375,67.57444 -150.84375,150.84375 0,83.26931 67.57444,150.87502 150.84375,150.875 83.26931,0 150.84373,-67.60569 150.84375,-150.875 0,-83.26931 -67.57444,-150.84375 -150.84375,-150.84375 z"
-       id="path2499"
-       style="fill:#f07905;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:0.86755997;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;stroke-dashoffset:0" />
-    <path
-       d="m 283.75551,118.69825 c 3.8326,-2.92327 6.59672,-7.30905 6.59672,-10.46691 0,-1.34297 -0.91624,-2.10791 -3.03159,-2.53098 -5.03084,-1.00617 -29.76323,-0.2524 -30.95725,0.94348 -2.45839,2.4622 3.48285,11.25959 9.48884,14.05044 4.86268,2.25958 13.60121,1.28532 17.90328,-1.99603 z m -121.40328,6.85736 c 1.375,-1.48313 5.425,-5.00387 9,-7.82385 3.575,-2.81999 6.82351,-5.58801 7.21891,-6.15116 0.39617,-0.56426 -2.40958,-4.17692 -6.25,-8.04744 -3.8329,-3.86293 -6.96891,-7.35043 -6.96891,-7.75 0,-0.39956 2.85899,-0.72648 6.35331,-0.72648 9.68177,0 18.64695,-1.1504 18.64458,-2.39246 -0.001,-0.60915 -2.70021,-5.15754 -5.99789,-10.10754 -8.49307,-12.74857 -8.48584,-12.76107 5.5,-9.5 9.10186,2.12228 13.5,2.51208 13.5,1.19648 0,-0.44193 -1.575,-5.48035 -3.5,-11.19648 -1.925,-5.716132 -3.5,-10.75455 -3.5,-11.196484 0,-1.628868 2.99886,-0.696708 11.89199,3.696484 12.59254,6.22069 12.53395,6.23695 11.71425,-3.25 -0.36829,-4.2625 -0.93833,-9.8875 -1.26676,-12.5 -0.4112,-3.270922 -0.2373,-4.75 0.55848,-4.75 0.63559,0 5.21065,3.375 10.16679,7.5 4.95614,4.125 9.4237,7.5 9.9279,7.5 0.9686,0 1.28832,-1.459199 3.26869,-14.918223 0.69491,-4.722809 1.77231,-8.595424 2.45433,-8.821889 0.66861,-0.222016 4.22099,3.678685 7.89417,8.668223 3.67319,4.989539 7.24664,9.071889 7.94102,9.071889 0.69438,0 2.62557,-3.2625 4.29153,-7.25 1.66597,-3.9875 3.75454,-8.974691 4.64127,-11.082648 2.17969,-5.181579 3.42785,-3.956447 8.16629,8.015595 3.82395,9.661498 5.73859,11.908239 7.74466,9.087976 12.20994,-17.165585 13.87349,-18.833994 14.97713,-15.020923 0.27858,0.9625 0.99821,5.35 1.59918,9.75 1.43433,10.50148 1.89914,12.5 2.90721,12.5 0.46201,0 4.61594,-3.145402 9.23095,-6.989783 11.34683,-9.452104 11.97892,-9.342636 10.73188,1.858597 -1.22969,11.045385 -1.04683,15.131186 0.67721,15.131186 0.83499,0 6.02051,-2.259383 11.52338,-5.020852 7.47785,-3.752561 10.1364,-4.679002 10.52453,-3.667553 0.28562,0.744314 -1.07491,5.757378 -3.02339,11.140145 -1.94848,5.38276 -3.54269,10.40816 -3.54269,11.16755 0,1.8498 2.71696,1.7257 13.90179,-0.63496 5.17098,-1.09138 9.78348,-1.98433 10.25,-1.98433 1.74445,0 0.6888,2.30419 -5.15179,11.24492 -3.3,5.05161 -6,9.70039 -6,10.33062 0,1.36134 7.65859,2.40367 17.75,2.41577 3.9875,0.005 7.25,0.35919 7.25,0.78758 0,0.42839 -2.925,3.67789 -6.5,7.22111 -3.575,3.54322 -6.5,6.76642 -6.5,7.16266 0,0.39625 2.8125,2.87597 6.25,5.5105 3.4375,2.63454 9.05115,7.38584 12.47478,10.55845 3.42362,3.17262 6.54497,5.76839 6.93632,5.76839 1.96193,0 20.39401,-11.33531 20.06133,-12.33727 -0.31695,-0.95457 -12.37571,-4.68026 -25.97243,-8.02445 -1.5125,-0.37201 -2.75,-1.30537 -2.75,-2.07412 0,-0.76876 4.77592,-5.89576 10.61316,-11.39334 6.00519,-5.65575 10.32132,-10.46781 9.94099,-11.08321 -0.40876,-0.66138 -4.46999,-1.09102 -10.36317,-1.0963 -12.08431,-0.0108 -20.19098,-0.94514 -20.19098,-2.32703 0,-0.58143 3.375,-6.30911 7.5,-12.72818 4.125,-6.41908 7.5,-12.231779 7.5,-12.917118 0,-1.475879 -5.24971,-0.85761 -17.5,2.061008 -8.11306,1.93293 -13.5,2.44367 -13.5,1.27994 0,-0.35204 2.025,-6.460874 4.5,-13.575178 4.72438,-13.580062 5.19919,-15.784752 3.39951,-15.784752 -0.60526,0 -6.74484,2.7 -13.6435,6 -6.89866,3.3 -12.92844,6 -13.39951,6 -1.18694,0 -1.07003,-8.050505 0.2907,-20.016962 0.67616,-5.946273 0.7788,-10.437646 0.25,-10.938626 -0.50832,-0.481563 -5.79404,3.225572 -12.19478,8.552804 -6.21368,5.171531 -11.8876,9.402784 -12.60873,9.402784 -0.91335,0 -2.03664,-4.452943 -3.70242,-14.677108 -1.3152,-8.07241 -2.86795,-14.831304 -3.45056,-15.019765 -0.58261,-0.18846 -5.02611,5.085074 -9.87443,11.718965 -4.84833,6.633891 -9.29756,11.900815 -9.88718,11.704274 -0.58962,-0.19654 -3.60758,-6.402876 -6.70657,-13.791856 -3.09899,-7.388981 -6.19526,-13.43451 -6.8806,-13.43451 -0.68534,0 -3.40443,5.210644 -6.04241,11.579209 -6.6252,15.994386 -6.83333,16.3451 -8.75412,14.750987 -0.86082,-0.714416 -5.15653,-6.163606 -9.54603,-12.109311 -4.3895,-5.945705 -8.49131,-10.64066 -9.11514,-10.433234 -0.62995,0.209463 -2.08921,6.704772 -3.28218,14.609363 -1.18138,7.827723 -2.41955,14.503823 -2.75151,14.835778 -0.99435,0.994348 -4.68014,-1.459487 -12.60054,-8.388879 -13.78758,-12.062461 -14.44707,-12.027309 -13.04987,0.69558 1.90971,17.389793 1.98663,20.047545 0.59566,20.581308 -0.72679,0.278895 -6.76499,-2.221691 -13.41823,-5.556859 -11.4611,-5.745273 -15.10486,-7.023738 -15.1453,-5.313942 -0.01,0.4125 2.11162,6.91613 4.71416,14.45251 2.60254,7.536381 4.38099,14.05341 3.95212,14.48228 -0.42888,0.42888 -6.72787,-0.44975 -13.99777,-1.952506 -14.48094,-2.993347 -16.65077,-3.220331 -16.65077,-1.741826 0,0.544752 3.375,6.188702 7.5,12.542112 4.125,6.3534 7.5,12.14502 7.5,12.87025 0,1.6575 -7.17092,2.57681 -20.19098,2.58849 -5.33004,0.005 -9.93756,0.40765 -10.23892,0.89527 -0.30136,0.48761 4.46569,5.68401 10.59344,11.54754 7.28363,6.96956 10.80171,11.00063 10.16039,11.64195 -0.53954,0.53954 -4.32065,1.89248 -8.40246,3.00652 -15.61864,4.26278 -20.92147,6.00563 -20.92147,6.87615 0,0.49564 3.2625,2.70155 7.25,4.90202 13.75669,7.59151 12.76761,7.26443 15.67205,5.18259 1.41787,-1.0163 3.70295,-3.06129 5.07795,-4.54442 z m 116.32772,52.1375 c 6.21918,-2.59854 8.82323,-9.33419 6.2319,-16.11948 -1.32921,-3.48048 -2.56557,-4.82551 -5.93502,-6.45663 -5.26956,-2.55095 -6.71546,-2.56478 -11.52683,-0.1102 -8.8964,4.53861 -9.34294,16.88095 -0.79922,22.09036 3.76575,2.29612 7.51549,2.48189 12.02917,0.59595 z m -14.32772,9.24514 c -3.51581,-1.39459 -8.82894,-6.70968 -11.08763,-11.09173 -2.50192,-4.85393 -2.50966,-13.90488 -0.0165,-19.28984 3.6453,-7.87347 11.08629,-12.5 20.10414,-12.5 12.54847,0 21.92612,9.29405 21.97804,21.78212 0.0375,9.01634 -4.30692,16.25553 -12.1882,20.30946 -4.0851,2.10128 -14.39162,2.5346 -18.78984,0.78999 z m 13.92327,37.52954 c 8.37671,-7.04854 -1.68036,-19.10963 -10.28841,-12.33853 -5.69971,4.48339 -1.87824,14.76223 5.53841,14.89701 0.92031,0.0167 3.05781,-1.13459 4.75,-2.55848 z m -12.42327,10.2322 c -5.86793,-2.71551 -10.52257,-10.20574 -10.47804,-16.86119 0.0353,-5.27144 3.37778,-11.35651 7.87164,-14.3304 3.64903,-2.41482 4.75759,-2.64062 11.18196,-2.27761 6.98,0.39441 7.22319,0.50015 11.45774,4.98195 4.65442,4.9262 6.1445,9.41744 5.05364,15.23219 -0.76894,4.09882 -4.10988,9.20408 -7.8235,11.95502 -3.45878,2.56216 -12.98582,3.27961 -17.26344,1.30004 z m 114.36335,104.81583 c 10.227,-11.18997 21.60848,-30.86393 27.22645,-47.06351 5.19823,-14.98922 7.25863,-28.09743 7.21407,-45.89563 -0.0603,-24.08431 -4.08687,-41.09285 -14.93452,-63.08463 -16.34302,-33.13269 -46.45087,-59.24979 -81.71803,-70.88642 -15.43414,-5.09259 -16.44217,-5.20925 -17.64628,-2.0422 -0.55277,1.4539 -1.00504,3.01652 -1.00504,3.4725 0,0.45597 5.9625,2.71466 13.25,5.01931 35.76077,11.30924 63.64553,34.83748 80.02378,67.52144 10.22567,20.40604 13.92278,36.2862 13.96881,60 0.0662,34.11089 -9.34457,60.19434 -31.49722,87.29949 -5.77277,7.06334 -5.90867,7.36259 -4.20058,9.25 0.97085,1.07278 2.32529,1.95051 3.00986,1.95051 0.68456,0 3.52348,-2.49339 6.3087,-5.54086 z m -205.69209,3.88587 c 1.00581,-0.91024 1.82874,-2.07292 1.82874,-2.58373 0,-0.51082 -2.63201,-4.15357 -5.84891,-8.09502 -14.63358,-17.92951 -23.6031,-36.73187 -28.71576,-60.19538 -2.42673,-11.13698 -2.45896,-39.78834 -0.0573,-50.97088 4.2612,-19.84118 13.1935,-40.10618 24.05507,-54.57452 12.18896,-16.23652 30.18715,-31.27508 48.18988,-40.26551 7.30272,-3.64692 22.54194,-9.03747 28.94511,-10.23871 4.30443,-0.80752 5.21481,-2.57753 3.036,-5.9028 -1.958,-2.9883 -3.54655,-2.79413 -18.01964,2.20251 -21.27489,7.34487 -38.57605,18.19197 -54.61522,34.24145 -20.39953,20.41264 -32.7968,43.46168 -39.14531,72.77907 -2.80784,12.96658 -3.05515,38.46814 -0.50195,51.75851 3.58768,18.67525 11.52311,38.42277 21.37736,53.19814 5.83969,8.75598 15.31468,20.30186 16.66046,20.30186 0.54052,0 1.8057,-0.74474 2.81151,-1.65499 z m 63.83532,-15.91082 c 15.67138,-15.71119 30.21346,-29.94977 32.31572,-31.64129 l 3.8223,-3.07549 31.78931,31.73223 31.7893,31.73222 3.88839,-1.99361 c 2.13862,-1.09649 4.9045,-3.08274 6.1464,-4.4139 l 2.258,-2.42028 -38.00974,-37.92703 c -20.90536,-20.85987 -38.51355,-38.09524 -39.12932,-38.30081 -1.29795,-0.43333 -76.87694,74.79013 -76.87694,76.5153 0,1.40138 9.90102,8.26028 12.00658,8.31751 0.82862,0.0225 14.32862,-12.81365 30,-28.52485 z m 116.73476,34.94403 c 2.89226,-1.99198 5.25866,-3.93853 5.25866,-4.32568 0,-0.38715 -1.08902,-1.72699 -2.42004,-2.97742 l -2.42003,-2.2735 -5.54202,3.84919 c -3.04812,2.11705 -5.5591,4.26376 -5.57997,4.77045 -0.0538,1.30643 3.06103,4.57874 4.35839,4.57874 0.59749,0 3.45275,-1.6298 6.34501,-3.62178 z m -153.74134,-2.42161 c -1.375,-1.07766 -4.44655,-3.12269 -6.82568,-4.5445 -4.13205,-2.46941 -4.4118,-2.50717 -6.25,-0.84362 -3.05881,2.76819 -2.33103,4.21226 4.27459,8.48168 l 6.19892,4.00655 2.55108,-2.57036 2.55109,-2.57036 -2.5,-1.95939 z m 100.28084,25.57404 c 14.49567,-2.98776 28.71916,-8.12289 28.71916,-10.36853 0,-1.74786 -53.77251,-56.16212 -55.49976,-56.16212 -1.98511,0 -57.97468,56.92568 -56.97196,57.92449 3.0777,3.06569 28.15674,9.52931 44.47172,11.46169 7.53063,0.89195 28.49235,-0.63187 39.28084,-2.85553 z M 224.9987,293.20072 c 23.01944,-23.02077 42.83645,-42.37077 44.03779,-43 5.92891,-3.10537 5.18763,-3.71608 50.80424,41.85596 23.67313,23.65 43.55992,43 44.19287,43 1.9432,0 11.52658,-11.38528 17.16943,-20.39769 6.71527,-10.72521 12.42692,-23.8951 15.79143,-36.41178 3.52441,-13.11156 4.47549,-39.90506 1.90583,-53.69053 -5.8373,-31.31537 -23.37566,-60.16462 -47.7345,-78.51955 -14.94825,-11.26385 -26.56227,-17.02054 -45.2778,-22.44271 l -8.96423,-2.59707 -2.78905,2.06203 c -7.30846,5.40338 -10.29113,6.9611 -15.33301,8.00779 -9.08811,1.88669 -15.89094,-0.24766 -26.99841,-8.47059 -1.85434,-1.37278 -2.85156,-1.29243 -10.5,0.84604 -12.51114,3.49807 -21.4908,7.12277 -30.45106,12.29177 -33.29597,19.2078 -55.04883,49.48194 -62.91392,87.55925 -2.09944,10.16404 -2.14356,36.3479 -0.0794,47.13488 3.08197,16.10609 10.04627,33.16984 19.08974,46.77315 4.72103,7.10145 13.99627,17.85501 15.40042,17.85501 0.43787,0 19.63022,-18.83518 42.64966,-41.85596 z m 26.3145,116.39371 c -13.41757,-1.95334 -23.67774,-4.45026 -33.96097,-8.26475 -53.67022,-19.90862 -91.52045,-63.25337 -104.5902,-119.773 -2.57257,-11.12502 -2.77864,-13.60412 -2.82616,-34 -0.0452,-19.38999 0.22598,-23.29899 2.28561,-32.94931 5.42694,-25.42767 15.84433,-48.32494 30.78186,-67.65802 4.02331,-5.20722 5.35439,-7.66039 4.71044,-8.68127 -0.49368,-0.78264 -8.28662,-5.53788 -17.31765,-10.56719 -9.03104,-5.02932 -16.44793,-9.58799 -16.48198,-10.13039 -0.0524,-0.83409 14.13749,-5.27085 30.18808,-9.43895 2.3375,-0.60702 4.25,-1.58421 4.25,-2.17153 0,-0.58733 -5.92016,-6.76835 -13.15592,-13.73561 l -13.15592,-12.66773 11.40592,-0.61844 c 6.27326,-0.34014 14.66842,-0.67764 18.65592,-0.75 5.70792,-0.10358 7.25,-0.44951 7.25,-1.62637 0,-0.82215 -4.05,-7.72656 -9,-15.34315 -4.95,-7.616579 -9,-14.368915 -9,-15.005185 0,-1.519175 1.80635,-1.459466 9.29448,0.307227 17.46435,4.120404 25.84557,5.729198 26.48996,5.084808 0.39267,-0.392671 -1.92663,-8.348367 -5.15401,-17.679325 -3.22737,-9.330958 -5.58601,-17.247316 -5.24142,-17.591906 0.34459,-0.34459 7.84837,2.891627 16.67507,7.191593 9.41482,4.586473 16.41674,7.448713 16.93929,6.924435 0.521,-0.52272 0.50612,-4.837107 -0.0358,-10.393687 -1.90746,-19.556685 -2.2458,-25.99992 -1.36506,-25.995728 0.49364,0.0023 6.81731,4.952349 14.0526,11 12.6624,10.583917 14.67165,11.894136 15.69664,10.235664 0.25836,-0.418034 1.44038,-7.505534 2.62671,-15.75 2.41317,-16.770562 2.95493,-19.491433 3.87999,-19.486549 0.35287,0.0019 5.36659,6.51928 11.14159,14.483149 5.775,7.963868 10.95,14.338764 11.5,14.166436 1.36768,-0.428529 2.60055,-2.981854 9.14362,-18.936915 3.109,-7.581169 6.1149,-13.629885 6.67978,-13.44159 0.56488,0.188295 4.01645,7.516069 7.67014,16.283943 3.6537,8.767875 7.18786,15.94159 7.85369,15.94159 0.66584,0 5.8101,-6.283603 11.43169,-13.963562 5.62159,-7.679959 10.67108,-13.979959 11.22108,-14 0.55,-0.02004 2.1992,7.838562 3.6649,17.463562 1.46569,9.625 2.70319,17.6125 2.75,17.75 0.46648,1.370372 4.60065,-1.444814 15.80023,-10.759263 7.26832,-6.044905 13.51823,-10.990737 13.8887,-10.990737 0.37047,0 0.40295,3.9375 0.0722,8.75 -0.33077,4.8125 -0.90931,13.1375 -1.28563,18.5 -0.44057,6.277885 -0.3288,9.75 0.31386,9.75 0.54894,0 8.07894,-3.411119 16.73332,-7.580264 8.65439,-4.169145 16.00184,-7.313665 16.32769,-6.987822 0.32584,0.325842 -1.97234,8.092659 -5.10708,17.259592 -3.13473,9.166933 -5.32382,17.042839 -4.86465,17.502014 0.45917,0.459174 8.56474,-0.825257 18.01237,-2.854293 9.44763,-2.029036 17.46801,-3.398662 17.82306,-3.043613 0.35505,0.355049 -3.51161,6.971258 -8.59257,14.702686 -5.08097,7.73143 -9.45165,14.87369 -9.71263,15.87169 -0.43269,1.65461 0.6037,1.87253 11.75787,2.47228 6.72781,0.36175 15.12423,0.65773 18.65871,0.65773 3.53449,0 6.27634,0.41284 6.093,0.91741 -0.18333,0.50458 -5.95833,6.2343 -12.83333,12.73271 -6.875,6.49841 -12.64069,12.36064 -12.81265,13.02717 -0.17933,0.69511 1.52635,1.70496 4,2.3682 17.3265,4.64561 29.03181,7.97193 29.86472,8.48669 0.5393,0.33331 0.744,0.98877 0.45488,1.45657 -0.28912,0.46781 -7.9898,5.01287 -17.11264,10.10014 -9.12283,5.08727 -16.79973,9.80403 -17.05977,10.48169 -0.26004,0.67766 2.71613,5.43901 6.61372,10.58077 12.46431,16.4431 24.22171,42.46825 28.44385,62.9608 5.90375,28.65437 4.1256,60.51234 -4.87756,87.38785 -15.13556,45.18148 -50.99084,82.75639 -95.86343,100.46107 -23.96807,9.45671 -56.39879,13.25862 -81.69015,9.57668 z"
-       id="path2887"
-       style="fill:#120d0a" />
-  </g>
-</svg>